/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.supinfo.spitfireboard.servlets;

import com.supinfo.spitfireboard.entities.Category;
import com.supinfo.spitfireboard.services.ForumService;
import com.supinfo.spitfireboard.services.StatsService;
import java.util.Date;
import java.util.List;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

/**
 *
 * @author Fabien LOISON
 */
@ManagedBean
@RequestScoped
public class IndexController {

    @EJB
    private ForumService forumService;
    
    @EJB
    private StatsService statsService;
    
    /**
     * Creates a new instance of IndexController
     */
    public IndexController() {
    }
    
    public List<Category> getCategories() {
        return forumService.getCategories();
    }
    
    public Integer getUserNumber() {
        return statsService.getUserNumber();
    }
    
     public Integer getPostNumber() {
        return statsService.getPostNumber();
    }
    
     public Date getFirstPostDate() {
        return statsService.getFirstPostDate();
    }
}
